About piping and instrumentation diagrams (P&IDs) and process flow diagrams (PFDs)

You can quickly draw P&IDs and PFDs by dragging process engineering equipment shapes onto your drawing page, connecting them with "smart" pipelines, and then dragging components, such as valves and instruments, onto the pipelines. To identify components in your diagram, you can create intelligent tags. You can add data to components in your diagrams and generate lists of equipment, pipelines, valves, and instruments. As you modify diagrams, you can easily generate new lists.

You can create:

Click to show or hide information. Piping and instrumentation diagrams

P&IDs show how industrial process equipment is interconnected by a system of pipelines. P&ID schematics also show the instruments and valves that monitor and control the flow of materials through the pipelines.

Show me an example

Click to show or hide information. Process flow diagrams

PFDs show how industrial process equipment is interconnected by a system of pipelines. A PFD is more conceptual than a P&ID, and usually includes more annotations that display data.

Show me an example

Create a P&ID or PFD


Create a P&ID or PFD

  1. On the File menu, point to New, point to Process Engineering, and then click one of the following:
  • Piping and Instrumentation Diagram
  • Process Flow Diagram
  2. Position major equipment shapes on your drawing.

Click to show or hide information. How?

From the Equipment stencils, drag equipment shapes onto the drawing page.

An intelligent tag number for each component appears on the diagram.

  3. Use pipelines to connect major equipment.

Click to show or hide information. How?

  1. Drag a pipeline shape from the Pipelines stencil onto your drawing page, and then position one of its endpoints on an equipment shape. You can connect a pipeline to any point on the outside of an equipment shape, even if the shape has no connection point there.

The endpoint of the pipeline turns red to indicate that it is connected (glued) to the equipment shape, and a connection point is created if one did not exist.

  2. Drag the other endpoint to another equipment shape.
  3. To change the appearance or show the flow direction of a pipeline, select the pipeline, and then select a style from the Line Style list on the toolbar.

Styles control the thickness of the line, directional arrows, and other graphic symbols that indicate the type of pipe or instrument line.

Click to show or hide information. Tip

You can also use the Connector tool [image] to draw pipelines. This method is particularly useful when you work in large diagrams that have many connections. Click the Connector tool, and then on the Pipelines stencil, click the pipeline shape you want to use. Then draw the pipeline in your diagram. To change the type of pipeline, simply click a different pipeline shape on the stencil and continue working in your diagram.

  4. Add valve shapes.

Click to show or hide information. How?

  1. From the Valves and Fittings stencil, drag valve shapes on top of pipelines. Release the mouse button when a red square [image] appears, indicating that the valve is glued to the pipeline.

When a valve is added to the pipeline:

It automatically rotates to the same orientation as the pipeline.

It splits the pipeline into two identical pipelines, each of which is glued to the valve.

  2. To delete a valve from a pipeline, select the valve and press DELETE.

When a valve is deleted, a single pipeline replaces the split pipeline.

  5. Add instrument shapes.

Click to show or hide information. How?

From the Instruments stencil, drag instrument shapes onto the drawing page near the pipeline, valve, or equipment they monitor.

  6. Reposition shapes in the diagram by dragging them.
  7. Add data to components. You can also create and apply property sets.

Click to show or hide information. Add data to components

  1. On the View menu, click Custom Properties Window.
  2. On the drawing page, select the shape to which you would like to add data.
  3. Click in each custom property field, and type or select a value.

Click to show or hide information. Create and apply property sets

  1. Create a custom property set.

Click to show or hide information. How?

  1. On the Process Engineering menu, click Edit Custom Property Sets.
  2. Click Add, and then type a name for the custom property set.
  3. Choose whether to create a new custom property set, a set based on the currently selected shape, or a set based on an existing custom property set, and then click OK.
  4. To add or modify custom properties, select the custom property set, and then click Define.
  5. Edit, add, or delete custom properties.
  6. Click OK twice.
  2. Do one of the following:
  • To add the property set to shapes on a drawing, select the shapes.
  • To add the property set to shapes on a stencil, open the stencil.
  3. On the Process Engineering menu, click Apply Custom Property Set.
  4. Specify the shapes to which you want to apply the property set.

If you are adding a property set to shapes on a stencil, click Choose Shapes, select the stencil, and then select the shapes you want.

  8. Renumber components.

Click to show or hide information. How?

  1. On the Process Engineering menu, click Renumber Components.
  2. In the Renumber Components dialog box, under Apply to, specify whether to renumber the components in the entire document, on the current page, or in the current selection.
  3. In the Include tag formats list, click to clear the check boxes for the tag formats that you don't want to include in the renumbering.

By default, all tag formats are selected.

  4. Assign a starting value and an interval value for renumbering. You can assign a different start value and interval value to each tag format.

Click to show or hide information. How?

  1. Click an item in the Include tag formats list to highlight it.
  2. In the Starting value box, type or select the starting value for renumbering.
  3. In the Interval box, type or select the increment used to renumber the components.
  4. Repeat these steps for each tag format.
  5. Click OK to renumber the components.

  9. Generate lists or bills of materials of equipment, pipelines, valves, and instruments.

Click to show or hide information. How?

  1. On the Tools menu, click Report.
  2. Create a custom report definitionor skip to step 3 to use an existing report definition.

Click to show or hide information. How

The following steps create a report definition that filters out duplicate process engineering shapes and reports on process engineering components.

  1. In the Report dialog box, click New.
  2. Choose the option for the shapes that you want to report on.
  3. Click Limit Selection to define the criteria for the report.
  4. In the Limit Selection dialog box, in the Property list, click PEComponentTag.
  5. In the Condition list, click Exists.
  6. In the Value list, click TRUE.
  7. Click Add to put this condition in the defined criteria list, and then click OK.
  8. In the Report Definition Wizard, click Next.
  9. Select the <Displayed Text> check box to report on the component tag. Then select the check boxes for other properties you want to report on, and then click Next.
  10. To filter out duplicate process engineering shapes and report on components, click Subtotals.
  11. In the Subtotals dialog box, in the Group by list, click <Displayed Text>, and then click Options.
  12. In the Options dialog box, click Don't repeat identical values, and then click OK twice.
  13. In the Report Definition Wizard, click Next, enter the information to save your report, and then click Finish.
  14. In the Report dialog box, you can either run the report or click OK to save your definition and run it later.

Click to show or hide information. Tip

To create a new report definition based on an existing one, in the Report dialog box, select the existing definition, and then click New. Save the modified report definition with a new name.

  3. In the Report Definition list, click the name of the report definition you want to use.

The report definition determines which shapes are reported on and which custom properties are included in your report.

  4. Click Run, and then in the Run Report dialog box, click the report format you want, and then do one of the following:

If you are saving your report as a shape on the drawing, choose whether to save a copy of the report definition with the shape or link to a report definition.

If you are saving your report as a file, type a name for the report.

  5. To generate the report, click OK.
  6. If you ran a custom report, when you return to the Report dialog box, click OK to save your definition.


Add Tag Format dialog box

Click to show or hide information. Name

Type a name for the new tag format.

Click to show or hide information. Create A New Format

Click to assign the default tag format to the new tag format.

The default tag is tag name – [counter], which is the name given to the tag followed by a counter with a format of 1 digit.

Click to show or hide information. Create From An Existing Format

Click to assign an existing tag format to the new tag format. Clicking this option enables the Document and Format lists.

Click to show or hide information. Document

Lists all currently open documents. Click the name of the document that contains the tag format you want to assign to the new tag format.

Click to show or hide information. Format

Lists all tag formats available in the document selected in the Document list. Click the existing tag format that you want to assign to the new tag format.


Apply Tag Format dialog box

Click to show or hide information. Tag Format

Lists all the tag formats defined in the current drawing. Click a tag format in the list to select it.

Click <None> to remove a tag format from a set of shapes.

Click to show or hide information. Apply To Shapes Selected In Drawing

Click to assign the selected tag format to shapes that are selected in the drawing.

Click to show or hide information. Apply To Shapes In A Stencil

Click to assign the selected tag format to shapes on a stencil.

Click to show or hide information. Choose Shapes

Opens the Choose Shapes dialog box, where you can choose the shapes on a stencil to which you want to assign the tag format.


Component Model Properties dialog box

Click to show or hide information. Document

Click the name of the current document or the name of a stencil for which you want to view component model properties.

Click to show or hide information. Components

Lists all shapes, including the category, property set, and tag format, found in the specified document. Click the column headings to sort the list by that heading.

Click an item in the list to display its model properties in the drop-down lists below.

Click to show or hide information. Category

Lists the categories available in the current drawing. To change the category assigned to the selected component, click an item in the list or type a new name.

Click to show or hide information. Custom Property Set

Lists the property sets available in the current drawing. Click an item in the list to change the property set assigned to the selected component.

Click to show or hide information. Edit Sets

Click to create, modify, and delete custom property sets.

Click to show or hide information. Tag Format

Lists the tag formats available in the current drawing. Click an item in the list to change the tag format assigned to the selected component.

Click to show or hide information. Edit Formats

Click to create, modify, and delete tag formats.


Diagram Options dialog box

Click to show or hide information. Split Pipelines Around Components

Select this check box to divide a single pipeline into two pipelines when a component, such as a valve, is glued to the pipeline. The custom properties in the original pipeline are copied to both pipelines. This check box is selected by default.

Pipeline between two vessels with valve added

  1. A pipeline between two vessels.
  2. When a valve is dropped onto a pipeline, the pipeline is split into two pieces, with both pieces representing the same pipeline component.

Click to show or hide information. Split Pipelines When Branches Are Created

Select this check box to divide a pipeline when another pipeline is glued to it. This results in three pipelines, which are all glued to a junction shape.

This check box is selected by default.

Two pipelines connected form 3 pipeline segments

  1. A section of a pipeline.
  2. A pipeline connected to another pipeline.
  3. The original pipeline is split into two pieces, with a junction at the intersection.

Click to show or hide information. Use This Shape At Pipeline Branches

Specify the shape to use as a junction shape when pipelines are split. You can specify a shape on the document stencil by clicking the name of the shape on the list or by typing the name of the shape. You can also leave the field blank, in which case an invisible shape will be used.

By default, the Junction shape is selected.

Click to show or hide information. Repair Split Pipelines

Select this check box to replace a split pipeline with a single pipeline when the shape that split the pipeline, such as a valve or other pipeline, is deleted.

This check box is selected by default.

Split pipeline with valve; single pipeline after deleting valve

  1. A pipeline split as a result of adding a valve.
  2. A single pipeline after deleting the valve.

Click to show or hide information. Number Components When They Are Added To The Drawing

Select this check box to automatically number shapes as they are added to the drawing.

This check box is selected by default.


Edit Tag Formats dialog box

Click to show or hide information. Tag Formats

Lists all of the tag formats available in the current drawing.

Click to show or hide information. Add

Click to open the Add Tag Format dialog box, where you can add a new tag format to the drawing and assign it a name.

Click to show or hide information. Rename

Click to rename the selected tag format name in the list.

Click to show or hide information. Delete

Click to delete the selected tag format in the list.

Click to show or hide information. Modify

Click to open the Tag Format Properties dialog box, where you can change the tag expression.


Renumber Components dialog box

Click to show or hide information. Apply To

To renumber components in the entire document, click Document.

To renumber components on the current page, click Page.

To renumber components in the current selection, click Selection.

Click to show or hide information. Include Tag Formats

Lists all tag formats defined in the current document.

Click a tag format in the list to highlight it and edit its starting value or numbering interval.

Select the tag format check box to renumber the components that use the tag format.

Click to show or hide information. Starting Value

Type or select the starting value of the counter in the tag expression that will be used for numbering components. The starting value is set for the tag format highlighted in the Include tag formats list.

Click to show or hide information. Interval

Type or select the increment used for the counter as it numbers the components in the drawing. The interval is set for the tag format highlighted in the Include tag formats list.


Tag Format Properties dialog box

Click to show or hide information. Tag Expression

Type a text string to define the component tag. The string can include regular text, custom properties inserted from the Available custom properties list, and counters.

Click to show or hide information. Sample Tag Value

Displays a sample tag as defined by the tag expression and the counter properties.

Click to show or hide information. Insert Property

Click to insert the custom property selected in the Available custom properties list in the tag expression.

A custom property can be added to the tag expression multiple times.

Click to show or hide information. Insert Counter

Click to insert a counter in the tag expression.

Multiple counters can be added to the tag expression. However, these counters are not independent and will display the same value in the component tag.

Click to show or hide information. Available Custom Properties

Lists the custom property labels for all known custom properties in the document. Click a custom property in the list to select it, and then click Insert Property to add it to the tag expression.

Click to show or hide information. Counter Properties

In the Format box, type or select the number of digits for the counter.

Counter values smaller than the number of digits allowed will display leading zeroes.

Counter values larger than the number of digits allowed will display more digits.


Shape Conversion dialog box

Click to show or hide information. Selected Shapes

Click to convert the shapes that are selected on the drawing page to process engineering shapes. If no shapes are selected on the drawing, then this option is disabled.

Click to show or hide information. Shapes In A Visio Stencil

Click to convert shapes on a Microsoft Visio stencil to process engineering shapes. Clicking this option enables the Choose Shapes button.

Click to show or hide information. Stencil

Displays the name of the stencil that contains the shapes to be converted.

Click to show or hide information. Choose Shapes

Click to open the Choose Shapes dialog box, where you can choose the stencil and shapes that you want to convert to process engineering shapes.

Click to show or hide information. Symbols In A CAD file

Click to convert symbols in a CAD file to process engineering shapes. Clicking this option enables the Browse button.

Click to show or hide information. Filename

Displays the name of the CAD file that contains the shapes to be converted.

Type the file name or click Browse to locate and select the CAD file.

Click to show or hide information. One CAD Unit

Set one CAD unit equal to a number of Visio measurement units.

Enter a positive value for the number of Visio measurement units, and then select the unit, such as millimeters, from the list of units.

Click to show or hide information. Category

Lists the currently available categories in the active drawing. Select a category from the list or type a new category to assign it to the converted shapes.

Click to show or hide information. Advanced

Opens the Component Model Properties dialog box, where you can assign different model properties to individual shapes.

Click to show or hide information. Custom Property Set

Lists the currently available property sets in the active drawing. Select a property set from the list to assign it to the converted shapes.

Click to show or hide information. Tag Format

Lists the currently available tag formats in the active drawing. Select a tag format from the list to assign it to the converted shapes.


P&ID example

A sample P&ID


PFD example

A sample PFD


About shape associations in P&IDs and PFDs

In process engineering diagrams, components can be represented by more than one shape.

You can associate shapes with a component:

Click to show or hide information. In the Component Explorer

For example, the same pump component may be shown in a system view and a detail view in the same diagram using two instances of the pump shape. By default, each instance of the pump is displayed as a separate component in the Component Explorer.

You can associate both instances of the pump shape with the same component by dragging the pump shape from one component to the other component in the Component Explorer window.

Note All shapes belonging to a component must be of the same category and have the same text.

Click to show or hide information. In the diagram

For example, a pipeline continues from one page to another page using two instances of the pipeline shape. Each pipeline shape is on a separate page, yet they represent the same pipeline. By default, each instance of the pipeline shape is displayed as a separate component in the Component Explorer.

You can associate both instances of the pipeline shapes with the same component by giving both pipeline shapes the same tag. To do this, you manually edit the tag of one pipeline to match the tag of the other pipeline.

Note If a shape is of the same category and has the same text as another shape, then they are the same component.


About shapes converted for use in P&IDs and PFDs

Click to show or hide information. How to get additional shapes

The Process Engineering template contains stencils with industry-standard process engineering shapes. If you need additional shapes, you can:

  • Draw your own shapes using the Microsoft Visio drawing tools, or modify existing shapes.
  • Convert existing Visio shapes on other stencils into process engineering shapes.
  • Import symbols created in Autodesk AutoCAD and stored in symbol libraries (DWG or DXF files that contain blocks).

Click to show or hide information. Assign model properties to converted shapes or symbols

When you convert shapes or symbols to process engineering shapes, you assign a category, property set, and tag format to the converted shapes. You can either assign existing model properties to converted shapes or you can create and apply new model properties to converted shapes.

For example, if you have created equipment shapes that are unique to your drawing, you can convert them to process engineering equipment shapes and assign them to the equipment category.


About process engineering reports

You can create reports about the components in your P&IDs and PFDs using the Report Definition Wizard.

Click to show or hide information. Predefined report definitions

The Report Definition Wizard includes predefined report definitions for process engineering shapes. Predefined report definitions report on all of the custom properties for the component shapes.

The following report definitions are provided for process engineering components:

  • Equipment list
  • Instrument list
  • Pipeline list
  • Valve list

Click to show or hide information. Custom report definitions

Because each process engineering group often has its own standards and procedures, you might want to create customized reports. To create a custom report, you can modify an existing predefined report definition or create a new report definition. Custom report definitions can include any combination of custom properties for any component.

The Report Definition Wizard reports on shapes in the drawing. However, in process engineering, multiple shapes can represent a single component. When you are creating a new report definition, you can filter out duplicate shapes and create a report on components.


Associate shapes to components

You can associate multiple shapes with the same component. You can also change or remove shape-to-component associations.

Click to show or hide information. Create or change associations

  • In the Component Explorer window, drag the shape from one component to another component.
  • In the diagram, give the shapes the same tag by manually editing a shape's text.

Click to show or hide information. Remove associations

Delete the shape on the diagram to remove the association.


Convert shapes for use in P&IDs and PFDs

  1. Before starting the shape conversion, determine the type of shapes you are going to convert, and then do one of the following:

Click to show or hide information. Convert selected shapes

  1. Select the shapes in the current diagram.
  2. On the Process Engineering menu, click Shape Conversion.
  3. Under Source, click Selected shapes.

Click to show or hide information. Convert shapes on a Visio stencil

  1. On the Process Engineering menu, click Shape Conversion.
  2. Under Source, click Shapes in a Visio stencil, and then click Choose Shapes.
  3. In the Choose Shapes dialog box, under Document, select the stencil, under Shapes, select the shapes you want, and then click OK twice.

Click to show or hide information. Convert symbols in a CAD file

  1. On the Process Engineering menu, click Shape Conversion.
  2. Under Source, click Symbols in a CAD file.
  3. In the Filename box, type the name and path of the CAD file, or click Browse to locate and select the CAD file.
  4. Set One CAD unit equal to a number of Visio measurement units.

Enter a positive value for the number of Visio measurement units, and then select the unit, such as millimeters, from the list of units.

  2. In the Category list, click or type the name of a category to assign it to the converted shapes.
  3. In the Custom property set list, click a property set to assign it to the converted shapes.
  4. In the Tag format list, click a tag format to assign it to the converted shapes.

Note To open the Component Model Properties dialog box, click Advanced, where you can apply model properties to multiple shapes.

  5. If you converted CAD symbols to process engineering shapes, a new stencil appears in the drawing window containing the shapes you converted. To save the stencil, click in the stencil window, and then on the File menu, click Save.


Create a report on process engineering components

  1. On the Tools menu, click Report.
  2. Create a custom report definitionor skip to step 3 to use an existing report definition.

Click to show or hide information. How

The following steps create a report definition that filters out duplicate process engineering shapes and reports on process engineering components.

  1. In the Report dialog box, click New.
  2. Choose the option for the shapes that you want to report on.
  3. Click Limit Selection to define the criteria for the report.
  4. In the Limit Selection dialog box, in the Property list, click PEComponentTag.
  5. In the Condition list, click Exists.
  6. In the Value list, click TRUE.
  7. Click Add to put this condition in the defined criteria list, and then click OK.
  8. In the Report Definition Wizard, click Next.
  9. Select the <Displayed Text> check box to report on the component tag. Then select the check boxes for other properties you want to report on, and then click Next.
  10. To filter out duplicate process engineering shapes and report on components, click Subtotals.
  11. In the Subtotals dialog box, in the Group by list, click <Displayed Text>, and then click Options.
  12. In the Options dialog box, click Don't repeat identical values, and then click OK twice.
  13. In the Report Definition Wizard, click Next, enter the information to save your report, and then click Finish.
  14. In the Report dialog box, you can either run the report or click OK to save your definition and run it later.

Click to show or hide information. Tip

To create a new report definition based on an existing one, in the Report dialog box, select the existing definition, and then click New. Save the modified report definition with a new name.

  3. In the Report Definition list, click the name of the report definition you want to use.

The report definition determines which shapes are reported on and which custom properties are included in your report.

  4. Click Run, and then in the Run Report dialog box, click the report format you want, and then do one of the following:

If you are saving your report as a shape on the drawing, choose whether to save a copy of the report definition with the shape or link to a report definition.

If you are saving your report as a file, type a name for the report.

  5. To generate the report, click OK.
  6. If you ran a custom report, when you return to the Report dialog box, click OK to save your definition.


Add or edit data values for components

  1. On the View menu, click Custom Properties Window.
  2. On the drawing page, select the shape to which you would like to add data.
  3. Click in each custom property field and type or select a value.

Click to show or hide information. Tip

You can add custom properties to process engineering shapes. To add the same custom properties to many process engineering shapes, create a custom property set.


Display component data on diagrams

You can display component data on a process engineering diagram by doing the following:

Click to show or hide information. Use callout shapes

  1. From the Process Annotations stencil, drag one of the callout shapes onto the drawing page near the shape whose data you want to display.
  2. Drag the control handle [image] from the callout shape to any point on the shape whose data you want the callout shape to display.
  3. In the Configure Callout dialog box, select the check boxes for the custom properties you want the callout shape to display.

The callout shape is now linked to the custom properties, so changes you make to the custom property fields are displayed in the callout shape.

  4. To change the order in which properties are displayed in the callout, select a property and click Move Up or Move Down.
  5. In the Separator list, click the type of separator to use in the callout shape.

Note This option is enabled if you select two or more custom properties.

  6. To change the custom properties that the label displays, right-click the callout shape, click Configure Callout, and select different custom properties. To accept the changes, click OK.

Click to show or hide information. Show intelligent tag labels

  1. Drag a component from a stencil onto the drawing page.

By default, the tag label is displayed with the shape.

  2. To reposition the text, drag the control handle [image].
  3. To hide the tag label, right-click the component in the diagram, and click Hide Tag.


Use pipelines to connect major equipment

  1. From the Pipelines stencil, drag a pipeline shape onto your drawing page, and then position one of its endpoints ( [image] or [image]) on an equipment shape. You can connect a pipeline to any point on the outside of an equipment shape, even if the shape has no connection point there.

The endpoint of the pipeline turns red to indicate that it is connected (glued) to the equipment shape, and a connection point is created if one did not exist.

  2. Drag the other endpoint to another equipment shape.
  3. Change the appearance or show the flow direction of a pipeline.

Click to show or hide information. How?

  1. Select the pipeline.
  2. On the Format menu, click Line, and then select the thickness of the line, directional arrows, and any other options you want.

Click to show or hide information. Tip

You can also use the Connector tool [image] to draw pipelines. This method is particularly useful when you work in large diagrams that have many connections. Click the Connector tool, and then on the Pipelines stencil, click the pipeline shape you want to use. Then draw the pipeline in your diagram. To change the type of pipeline, simply click a different pipeline shape on the stencil and continue working in your diagram.


About data for components in P&IDs and PFDs

A Microsoft Visio process engineering diagram is more than a picture—it's a valuable medium for storing data about the components in the diagram.

Click to show or hide information. Components

A component represents a single physical object in the real world, such as a valve or a pipeline. In a process engineering diagram, each component is represented by a shape or multiple shapes. Each component has properties defining real-world data for the component, such as temperature or material.

Click to show or hide information. Component model properties

Model properties define the organization and functionality applied to the components in the drawing. The model properties that can be applied to a component are category, custom property set, and tag format.

You can use the Component Model Properties dialog box to change model properties for existing components in a drawing or to change model properties of shapes on stencils. If you change model properties of shapes on stencils, the changes will affect future drawings. To use the Component Model Properties dialog box, the shapes you are changing must be based on masters.

If your shapes aren't based on masters, you can still change their model properties.

  • To change the category, use the Component Explorer.
  • To change the property set, use the Apply Custom Property Set dialog box.
  • To change the tag format, use the Apply Tag Format dialog box.

Click to show or hide information. Category

A category defines a collection of components, such as valves, instruments, or pipelines. Categories relate components and facilitate performing operations on these related components. The category controls a hierarchy of components displayed in the Component Explorer. In addition to the default categories, you can define your own categories.

Click to show or hide information. Properties and property set

Data for process engineering shapes is stored as custom properties. You can edit custom properties in existing shapes, add new properties, or delete properties you don't want.

To add the same custom properties to many process engineering shapes, create a custom property set. A property set contains a group of custom properties.

The process engineering shapes include default property sets that you use to add data to components. If your process engineering standards call for a different set of data, you can modify the existing property sets or create new property sets. Customized property sets are stored with the process engineering diagram in which they are created.

When you create a custom property set in one diagram, you can use it in other process engineering diagrams. To use the existing property set in another diagram, you create a new custom property set that is based on the existing property set.

Click to show or hide information. Tag and tag format

Components are identified and tracked according to their tags. By default, tags are added to components when you drag them onto the drawing page. The tag is typically displayed as text on the component. If you want to use a specific system for tags, you can construct a new custom tag format.

The tag format defines the tagging rules associated with each shape. The tag format is composed of alphanumeric text and component data and often includes the rules for numbering the components. The default tag is tag name – [counter], which is the name given to the tag followed by a counter with a format of 1 digit.

Click to show or hide information. Numbering components

By default, components are assigned a number when they are added to the diagram. The tag format includes the rules for numbering components. The default tag is tag name – [counter], which is the name given to the tag followed by a counter with a format of 1 digit. You can create custom tag formats to reflect the standards and procedures of your process engineering group.

You can renumber components using separate counters for each tag format. When you renumber components, you can specify the starting value, and the increment used to renumber.

Click to show or hide information. Adding data to components

You can specify data for components in your P&IDs and PFDs by using the Custom Properties Window.

Click to show or hide information. Displaying component data

You can display data for components directly on the drawing page. For example, components generally have a tag and might show other important data, such as temperature rating. You can use callout shapes on the Process Annotations stencil to display a custom property field for a component in the diagram, and you can create intelligent tags for components for complex tagging.

Click to show or hide information. Reports on component information

You can generate lists of component information from the custom property data. These lists report specific information about each component, such as the manufacturer's name; a tag or label assigned by the process engineer; or the size, pressure capacity, or heat rating of a component.


Create, edit, and apply intelligent tags

  1. Create a new tag format or edit an existing tag format by doing one of the following:

Click to show or hide information. Create a new tag format

  1. On the Process Engineering menu, click Edit Tag Formats.
  2. In the Edit Tag Format dialog box, click Add.
  3. In the Add Tag Format dialog box, in the Name box, type a name for the new tag format.
  4. Specify the tag format by clicking either:

Create a new format

Click this option to assign the default tag format to the new tag format.

The default tag is tag name – [counter], which is the name given to the tag followed by a counter with a format of 1 digit.

Create from an existing format

Click this option to assign an existing tag format to the new tag format, and then, in the Document list, click the document or stencil that contains the tag format you want to assign to the new tag format. In the Format list, click the format you want to assign to the new tag format.

To return to the Edit Tag Format dialog box, click OK twice.

Click to show or hide information. Edit an existing tag format

  1. On the Process Engineering menu, click Edit Tag Formats.
  2. In the Tag formats list, select the tag format you want to edit, and then click Modify.
  3. In the Tag Format Properties dialog box, click the Tag expression box to position the cursor in the box.

Click to show or hide information. Tag expression box

The Tag expression box allows free editing of text. However, any characters between a pair of open and close brackets [] will be interpreted as the Label of a custom property to be inserted into the tag expression.

If you want punctuation marks or text to separate fields, type the punctuation or text directly into the Tag expression box. For example, you might want to use hyphens to separate fields.

To create a multiline tag, press the ENTER key in the tag expression field at the point where you want to start a new line.

  4. Add a custom property to the tag expression. In the Available custom properties list, click a custom property, and then click Insert Property.
  5. Number components by adding a counter to the tag expression. Position the cursor in the Tag expression box, and then click Insert Counter.
  6. Under Counter Properties, in the Format list, select the number of digits for the counter.

Click to show or hide information. Counter format

The counter format defines how many digits the counter can occupy. Leading zeroes are placed before the counter number. However, values larger than the number of digits allowed simply use more digits.

  7. To accept the tag modifications and return to the Edit Tag Formats dialog box, click OK.

As you build your tag expression, you can view how it will appear in the Sample tag value box in the Edit Tag Formats dialog box.

Click to show or hide information. Delete an existing tag format

  1. On the Process Engineering menu, click Edit Tag Format.
  2. In the Tag formats list, select the tag format you want to delete, and then click Delete.
  3. To close to the Edit Tag Format dialog box, click OK.

Click to show or hide information. Rename an existing tag format

  1. On the Process Engineering menu, click Edit Tag Formats.
  2. In the Tag formats list, select the tag format you want to rename, and then click Rename.
  3. Type a new name for the tag format, and then click away from the selection.
  4. To close the dialog box, click OK.
  2. Apply a tag format:

Click to show or hide information. To selected shapes

  1. Select the shape or shapes on the drawing page.
  2. On the Process Engineering menu, click Apply Tag Format.
  3. In the Apply Tag Format dialog box, select a tag format from the list.
  4. Click the Apply to shapes selected in drawing option, and then click OK.

Click to show or hide information. To shapes on a stencil

  1. Open the stencil that contains the shapes.
  2. On the Process Engineering menu, click Apply Tag Format.
  3. In the Apply Tag Format dialog box, select a tag format from the list.
  4. Click the Apply to shapes in a stencil option, and then click Choose Shapes.
  5. In the Choose Shapes dialog box, select the stencil you want to modify.

Note To modify the document stencil, select the drawing name.

  6. Select the shapes to which you want to apply the selected tag format, and then click OK.
  7. In the Apply Tag Format dialog box, click OK.

Click to show or hide information. Tip

You can also create and apply tag formats to process engineering shapes using the Component Model Properties dialog box.


About pipelines

Pipelines are dynamic connector shapes that also represent real-world components. You use pipelines to connect process engineering components.

Click to show or hide information. Adding a component to a pipeline

By default, when a component, such as a valve, is positioned on top of a pipeline, the pipeline will split in two and each end of the pipeline segments will glue to the inserted component. See the illustration.

Pipeline between two vessels with valve added

  1. A pipeline between two vessels.
  2. When a valve is dropped onto a pipeline, the pipeline is split into two pieces, with both pieces representing the same pipeline component.

When a pipeline is split, both pipeline shapes are considered to be a continuation of the original pipeline. Both pipelines become part of the original pipeline's component and are automatically given the same tag and property set as the original pipeline.

Pipeline splits also occur when pipelines are connected to other pipelines. If an endpoint of a line is connected to another pipeline, the original pipeline will split and a junction shape is added where the three pipelines meet. See the illustration.

Two pipelines connected form 3 pipeline segments

  1. A section of a pipeline.
  2. A pipeline connected to another pipeline.
  3. The original pipeline is split into two pieces, with a junction shape at the intersection.

Click to show or hide information. Deleting a component from a pipeline

When a component that caused the pipeline to split is deleted, the pipeline is repaired. A single pipeline replaces the two pieces.

Split pipeline with valve; single pipeline after deleting valve

  1. A pipeline split by a valve.
  2. A single pipeline forms when the valve is deleted.

However, if the two pieces of the pipeline represent different components, then the pipeline is not repaired. For example, a valve is connected to two pipelines, P-1 and P-2. When the valve is deleted the pipelines remain separate pipelines.

Two pipelines connect a valve remain two pipelines after valve is deleted

  1. Two pipelines connected to a valve.
  2. Two pipelines remain when the valve is deleted.


Add valves and fittings to pipelines

  1. From the Valves and Fittings stencil, drag valve or fitting shapes on top of pipelines. When a red square [image] appears, indicating that the valve is glued to the pipeline, release the mouse button.

When a valve or fitting is added to a pipeline:

  • It automatically rotates to the same orientation as the pipeline.
  • It splits the pipeline into two identical pipelines, each of which is glued to the valve.
  2. To delete a valve or fitting from a pipeline, select the valve and press DELETE.

When a valve or fitting is deleted, a single pipeline replaces the split pipeline.


Renumber components

  1. On the Process Engineering menu, click Renumber Components.
  2. In the Renumber Components dialog box, under Apply to, specify whether to renumber the components in the entire document, on the current page, or in the current selection.
  3. In the Include tag formats list, click to clear the check boxes for the tag formats that you don't want to include in the renumbering.

By default, all tag formats are selected.

  4. Assign a starting value and an interval value for renumbering. You can assign a different start value and interval value to each tag format.

Click to show or hide information. How?

  1. Click an item in the Include tag formats list to highlight it.
  2. In the Starting value box, type or select the starting value for renumbering.
  3. In the Interval box, type or select the increment used to renumber the components.
  4. Repeat these steps for each tag format.
  5. Click OK to renumber the components.

Click to show or hide information. Tips

  • When you use the Renumber Components command to renumber components, subsequent components will use the last setting from renumbering.

For example, you renumber valves with a starting value of 1 and an interval of 1. After renumbering, the valves in the diagram are numbered 1-49. When you add another valve to the diagram, it will be numbered 50.

  • The Edit Formats button opens the Edit Tag Formats dialog box. In this dialog box, you can create or modify the tag formats.


Use the Component and Connectivity Explorers

Click to show or hide information. Open the explorer windows

  • To open the Component Explorer window, on the Process Engineering menu, click Component Explorer.
  • To open the Connectivity Explorer window, on the Process Engineering menu, click Connectivity Explorer.

Click to show or hide information. Switch between explorers

  • To switch from one explorer window to the other, click the explorer's tab in the explorer window. For example, to view the Connectivity Explorer, click the Connectivity tab.

Click to show or hide information. Use the Component Explorer

  • Click the plus icon to expand the headings. Click the minus icon to collapse the headings.
  • To select the component on the drawing page, double-click a component in the Component Explorer, or right-click a component, and then click Select Shapes.
  • To open the Component Model Properties dialog box, right-click a category, and click Model Properties. In this dialog box, you can apply categories, property sets, and tag formats to components.
  • To create a new component, right-click a component, and click New.
  • To rename the component, right-click the component in the explorer, and click Rename. The component is renamed in the explorer and in the diagram.
  • To select a shape on the drawing page, click a shape name in the Component Explorer, or right-click a shape and click Go To Shape.
  • Drag a shape from one component to another component in the same category. The shape is removed from the original component and associated with the new component.

Click to show or hide information. Use the Connectivity Explorer

  • Click the plus icon to expand the headings. Click the minus icon to collapse the headings.
  • To select a component in the diagram, double-click the component in the Connectivity Explorer; or right-click the component and click Select Shapes.
  • To rename the component, right-click the component in the explorer, and click Rename. The component is renamed in the explorer and in the diagram.


About the Component and Connectivity Explorers

The Component Explorer and the Connectivity Explorer provide additional views of the process engineering diagram.

Click to show or hide information. Component Explorer window

The component view shows a hierarchical view of the process engineering components grouped by category, such as valve or pipelines.

Each category displays the components in that category and the shapes that make up that component. Components in a category are identified by their tag number. Shapes that belong to a component are identified by their name.

Click to show or hide information. Connectivity Explorer window

The connectivity view shows pipeline components and all components to which the pipeline is connected.


About migrating process engineering projects

Process engineering diagrams created in Visio 2000 must be updated before they can take advantage of all of the features in the Microsoft Visio 2002 process engineering solution.

Click to show or hide information. Projects

In the Visio 2000 Process Engineering template, you worked in projects and used the Project Explorer to view and open documents in your project. In a project, you created and managed all the diagrams and documents you needed for that project—PFDs (process flow diagrams), P&IDs (piping and instrumentation diagrams), datasheets, and lists.

In Visio 2002, the process engineering diagram is self-contained. There is no project file, project database, or supporting set of templates to manage. Data for process engineering components is stored in the diagram itself, which allows for more control over the diagram and greater portability of the diagram.

Click to show or hide information. Multiple drawing files

In the Visio 2000 Process Engineering solution, a project could contain multiple diagrams, with each diagram being in its own Visio drawing file. During migration, each diagram in a Visio 2000 project is converted to a separate Visio 2002 process engineering diagram.

In Visio 2002, you can create multiple diagrams in the same Visio drawing file, with each diagram being on a separate page.

Click to show or hide information. Migration process

  • Document masters and shapes on all drawing pages are migrated to function as Visio 2002 shapes.
  • Visio 2000 pipelines are converted to function the same as Visio 2002 pipelines.
  • Information in the datasheets is migrated from the project database into custom properties.
  • Datasheet field definitions are converted into property sets and applied to the appropriate shapes.
  • Intelligent tags are migrated and applied to the appropriate shapes.
  • Automatic label shapes are converted to callout shapes from the Process Annotations stencil.
  • All files associated with the Visio 2000 process engineering project are preserved. If the destination folder for migration is the same as the original project folder, then the migrated drawing files are given names that differ slightly from the original drawings. This process prevents the original drawings from being overwritten.


Migrate a process engineering project

Note You can only migrate a Visio 2000 project to the current version of Visio.

  1. Create a destination folder for the migrated drawings.
  2. In Microsoft Visio 2002, open the Visio 2000 process engineering project.
  3. When prompted, enable VBA macros by clicking Enable Macros.

If you select Disable Macros, the migration will not start.

  4. When prompted to migrate all drawings, click Yes.

Clicking Yes converts all of the drawings in the Visio 2000 project to Visio 2002 drawings.

Clicking No opens the drawings as read-only and they will not be migrated.

Click to show or hide information. Tip

Depending on the size of the Visio 2000 project, the migration may take some time. It is recommended that you start the migration and allow it to run unattended.

  5. In the Browse For Folder dialog box, select a destination folder and a file name.

Click to show or hide information. Using the original project folder

If you select the original project folder, the original drawings are preserved, and the migrated drawings are given names that differ slightly from the names of the corresponding Visio 2000 drawings. This process prevents the original drawings from being overwritten.

  6. After the migration is complete, a summary of changes is displayed.

If the migration does not succeed, an error message is displayed.

Click to show or hide information. Using the summary

The summary consists of the names and paths of the files that were migrated. The summary does not provide details about what was changed in each file.


Troubleshooting pipelines

Click to show or hide information. Pipelines aren't splitting when components, such as valves, are added.

  1. On the Process Engineering menu, click Diagram Options.
  2. In the Diagram Options dialog box, select the Split pipelines around components check box.
  3. Click OK.

Click to show or hide information. Pipelines aren't splitting when pipelines are added.

  1. On the Process Engineering menu, click Diagram Options.
  2. In the Diagram Options dialog box, select the Split pipelines when branches are created check box.
  3. Click OK.

Click to show or hide information. Change the shape used at pipeline intersections.

  1. On the Process Engineering menu, click Diagram Options.
  2. In the Diagram Options dialog box, select the Split pipelines when branches are created check box.
  3. From the Use this shape at pipeline branches list, select the shape to use.

You can specify a shape on the document stencil by clicking the name of the shape on the list or by typing the name of the shape. You can also leave the field blank, in which case an invisible shape will be used.

  4. Click OK.

Click to show or hide information. Pipelines aren't splitting even though the options are selected in the Diagram Options dialog box.

For pipelines to split, glue to shape geometry must be turned on.

  1. On the Tools menu, click Snap & Glue.
  2. In the Snap & Glue dialog box, under Glue to, select the Shape geometry check box.
  3. Click OK.

Click to show or hide information. Pipelines remain split when components, such as valves, are deleted.

  1. On the Process Engineering menu, click Diagram Options.
  2. In the Diagram Options dialog box, select the Repair split pipelines check box.
  3. Click OK.


Troubleshooting numbering and tagging

Click to show or hide information. Components aren't being numbered.

  1. On the Process Engineering menu, click Diagram Options.
  2. In the Diagram Options dialog box, select the Number components when they are added to the drawing check box.
  3. Click OK.

Click to show or hide information. Component tags aren't showing.

  1. On the drawing page, right-click the shape that doesn't have a tag.
  2. On the shortcut menu, click Show Tag.


Create and apply property sets to process engineering shapes

  1. Create a custom property set.

Click to show or hide information. How?

  1. On the Process Engineering menu, click Edit Custom Property Sets.
  2. Click Add, and then type a name for the custom property set.
  3. Choose whether to create a new custom property set, a set based on the currently selected shape, or a set based on an existing custom property set, and then click OK.
  4. To add or modify custom properties, select the custom property set, and then click Define.
  5. Edit, add, or delete custom properties.
  6. Click OK twice.
  2. Do one of the following:
  • To add the property set to shapes on a drawing, select the shapes.
  • To add the property set to shapes on a stencil, open the stencil.
  3. On the Process Engineering menu, click Apply Custom Property Set.
  4. Specify the shapes to which you want to apply the property set.

If you are adding a property set to shapes on a stencil, click Choose Shapes, select the stencil, and then select the shapes you want.

Click to show or hide information. Tip

You can also create and apply property sets to process engineering shapes using the Component Model Properties dialog box.


Apply model properties to a component

  1. On the Process Engineering menu, click Component Model Properties.
  2. In the Document list, click the document or stencil name to view a list of master shapes and their model properties.
  3. In the Components list, click the component whose model properties you want to change.
  4. In the Category list, type a new category or click an existing category to apply it to the selected component.
  5. In the Custom property set list, click a property set to apply it to the selected component.
  6. In the Tag format list, click a tag format to apply it to the selected component.

Click to show or hide information. Tips

  • The Component Model Properties dialog box displays every master in a selected drawing or stencil and the model properties assigned to each one. Use this dialog box to view and change model properties for any component's master.
  • The Edit Sets button opens the Edit Custom Property Sets dialog box.

How do I edit custom property sets?

  • The Edit Formats button opens the Edit Tag Formats dialog box.

How do I edit tag formats?